'////////////////////////////////////////////////////////////////////////////////
'//
'//        Author:   Mick.George@Mastercam.com Mick George
'//          Date:   12/09/2005 02:15 PM
'//     File Name:   Programtype.vbs
'//
'//   Description:   Mastercam VB Script
'//
'//      Comments:   Displays the current program type
'//
'//                  Verified version X8
'////////////////////////////////////////////////////////////////////////////////


'///////////////// My Constants /////////////////
Public Const DEF_DESIGN = 4
Public Const DEF_MILL = 8
Public Const DEF_WIRE = 16
Public Const DEF_LATHE = 32
Public Const DEF_ROUTER = 64



ShowString "Currently running " & CheckMachine() & " module"


'/////////////////////////////////////
'// Function to test for program type
'/////////////////////////////////////
Function CheckMachine()

	Select Case mc_APPMODULE
	       
	       Case DEF_DESIGN
	       		CheckMachine = "Design"
	       
	       Case DEF_ROUTER
	       	    CheckMachine = "Router"
	       
	       Case DEF_MILL
	       		CheckMachine = "Mill"
	       
	       Case DEF_LATHE
				CheckMachine = "Lathe"
	
		   Case DEF_WIRE
			   	CheckMachine = "Wire"
		   
	End Select

End Function
