'////////////////////////////////////////////////////////////////////////////////
'//
'//        Author:   Mick George Mick.George@Mastercam.com
'//          Date:   28/10/2003 08:39 AM
'//     File Name:   BackColour.vbs
'//
'//   Description:   Gets/Sets background colour.
'//
'//      Comments:   Note that this only applies to solid backgrounds, not gradients.
'//                  Validated in X8
'//
'////////////////////////////////////////////////////////////////////////////////

  
' -- Start Script
Call Main()


' ////////////////////
' Sub Declaration
' ////////////////////
Sub Main()
   
Dim intCurrentBackColour
Dim intNewBackColour

' -- Store current back colour
intCurrentBackColour = GetBackGroundColor

' -- Change it to something else
If askColor(intNewBackColour) Then

   Call SetBackGroundColor(intNewBackColour) 
   
   ' -- Force a repaint otherwise we wont see the change, handy for exporting images!
   Call RepaintScreen(True) 

   If askYesNo("Keep this background colour?") <> mcMSG_YES Then

   Call SetBackGroundColor(intCurrentBackColour)  

   Call RepaintScreen(True)
   
   End If

End If   






End Sub