'////////////////////////////////////////////////////////////////////////////////
'//
'//        Author:   Mick.George@Mastercam.com
'//          Date:   30/04/2003 03:13 PM
'//     File Name:   Move entity to new level.vbs
'//
'//   Description:   This script shows how to move entities from one level to another
'//
'//                  Verified version X8
'////////////////////////////////////////////////////////////////////////////////

' -- Start Script
Call Main()

' ////////////////////
' Sub Declaration
' ////////////////////
Sub Main()
    

Dim CLine     
Dim intOK
                 

' -- Clear screen to begin
Call NewMC(False) 

' -- Zoom all
Call RepaintScreen(True)

Set CLine = New McLn

' -- Create the line properties
With CLine
     
     .X1 = 0
     .Y1 = 0
     .Z1 = 0
     .X2 = 1
     .Y2 = 0
     .Z2 = 0

End With

' -- Create the line on level 3
intOK = CreateLine(CLine, mcCOLOR_LIGHTBLUE, 3)

' -- Make sure we are ok
If intOK Then 
   ' -- Select our line
   If ChainAll(False, False, 3, mcCONSTRUCTION_LEVEL_CURRENT) Then
      
       ShowString "Moving line from active level to level 5"
       
       ' -- Move it
       Call SetEntityLevel(5)                                        
   Else
      ' -- Problem...
      ShowString "Could not chain our line"
   End If


End If

' -- Zoom all
Call RepaintScreen(True)


' -- Clean up
Set CLine = Nothing


End Sub