'////////////////////////////////////////////////////////////////////////////////
'//
'//        Author:   PCR
'//          Date:   10/02/2003 01:16 PM
'//     File Name:   getpoint.vbs
'//
'//   Description:   Prompt user to select a point, if success display point properties.
'//
'//      Comments:   Edited 2/10/2003 1:19:32 PM by Mick George Mick.George@Mastercam.com 
'//
'//                  Verified version X8
'////////////////////////////////////////////////////////////////////////////////


'///////////////// My Constants /////////////////



'///////////////// My Global Variables //////////



' -- Start Script
Call Main()


' ////////////////////
' Sub Declaration
' ////////////////////
Sub Main()
Dim objPoint

' -- Create a new point object
Set objPoint = New  McPt

 ' -- Was a anything selected?
 If askPoint(objPoint) Then 
    ' -- Show user some properties of this point
    With objPoint 
    
        ShowString "x = " & FormatNumber(.x, 4) & vbCrLf & " y = " & FormatNumber(.y, 4) & vbCrLf & " z = " & FormatNumber(.z, 4)
    
    End With
 
 Else
    ' -- User cancelled...
    Call ShowString("No point selected")
 End If

' -- Clean up
Set objPoint = Nothing

End Sub