'////////////////////////////////////////////////////////////////////////////////
'//
'//        Author:   Mick George Mick.George@Mastercam.com
'//          Date:   9/9/2003 9:59:56 AM
'//     File Name:   move_all_linestyle_center_to_new_level.vbs
'//
'//   Description:   This script shows how to move all linestyle_center from one level to another 
'//                  
'//
					''mcLINESTYLE_SOLID = 1;
					''mcLINESTYLE_HIDDEN = 2;
					''mcLINESTYLE_CENTER = 3;
					''mcLINESTYLE_PHANTOM = 4;
					''mcLINESTYLE_ZBREAK = 5;
''

'////////////////////////////////////////////////////////////////////////////////

' -- Start Script
Call Main()

' ////////////////////
' Sub Declaration
' ////////////////////
Sub Main()
    

Dim intLineStyle
Dim dblLevelNumber     
Dim bOK, bRet
Dim lngCount
                 

' -- Set state
Call ClearMenuAndPrompts
Call UnselectAll   
Call FreeChains

' -- Zoom all
Call RepaintScreen(True)

' -- Ask for a level number that we will use to move all entities too
If Not askValue ("Type a level number to move linestyle centre entities too", 1, 255, dblLevelNumber) Then Exit Sub

' -- Select all arcs
bRet =  ChainAll(False,False, mcCHAIN_ALL_NUMBERED_LEVELS, mcCHAIN_ALL_NAMED_LEVELS  )
                                 
' -- Ok to go? 
If bRet Then   
  ' -- Initialize looping flag to false
  bOk = False 
  lngCount = 0
   
  Do
  	
  	'ShowString GetEntityStyle
    ' -- Check the linestyle type , 3 is centre
    If GetEntityStyle = mcLINESTYLE_CENTER Then
       ' -- Move it
       Call SetEntityLevel(dblLevelNumber)
    
       ' -- Keep a running total
       lngCount = lngCount + 1                                        
    Else
        ' -- Do nothing...
    End If

    ' -- Get the next entity
    bRet = MoveToNextChain       
    
  Loop While bRet  
 
  ' -- Inform user 
  If lngCount = 0 Then
    ShowString "No linestyle centre entities found"
  Else
    ShowString lngCount & " linestyle_center entities moved to level " & dblLevelNumber 
  End If
 
End If

' -- Zoom all
Call RepaintScreen(True)





End Sub